TIFFPRINTDIRECTORY(3tiff)

NAME
TIFFPrintDirectory - print a description of a TIFF directory

SYNOPSIS

        #include <tiffio.h>

    void TIFFPrintDirectory(TIFF *tif, FILE *fd, long flags)

DESCRIPTION

TIFFPrintDirectory() prints a description of the current directory in the specified TIFF file to the standard I/O output stream fd. The flags parameter is used to control the “level of detail” of the printed information; it is a bitwise-or of the flags defined in tiffio.h:
Name | Value | Description
TIFFPRINT_NONE | 0x0 | no extra info
TIFFPRINT_STRIPS | 0x1 | strips/tiles info
TIFFPRINT_CURVES | 0x2 | color/gray response curves
TIFFPRINT_COLORMAP | 0x4 | colormap
TIFFPRINT_JPEGQTABLES | 0x100 | JPEG Q matrices
TIFFPRINT_JPEGACTABLES | 0x200 | JPEG AC tables
TIFFPRINT_JPEGDCTABLES | 0x200 | JPEG DC tables

NOTES

In C++ the flags parameter defaults to 0.

RETURN VALUES

None.

DIAGNOSTICS

None.

SEE ALSO

libtiff (3tiff), TIFFOpen (3tiff), TIFFReadDirectory (3tiff), TIFFSetDirectory (3tiff)

AUTHOR
LibTIFF contributors

COPYRIGHT
1988-2022, LibTIFF contributors